summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPacho Ramos <pacho@gentoo.org>2016-07-02 17:44:25 +0200
committerPacho Ramos <pacho@gentoo.org>2016-07-02 19:10:41 +0200
commit5d1d3419c61732a86488216842ac72b79149ac29 (patch)
treec2af7edc14a370b6eee122ed8f2141be4d83a6ed
parentmedia-gfx/shotwell: Drop old (diff)
downloadgentoo-5d1d3419c61732a86488216842ac72b79149ac29.tar.gz
gentoo-5d1d3419c61732a86488216842ac72b79149ac29.tar.bz2
gentoo-5d1d3419c61732a86488216842ac72b79149ac29.zip
media-gfx/shotwell: Version bump
Package-Manager: portage-2.3.0_rc1
-rw-r--r--media-gfx/shotwell/Manifest1
-rw-r--r--media-gfx/shotwell/shotwell-0.23.2.ebuild97
2 files changed, 98 insertions, 0 deletions
diff --git a/media-gfx/shotwell/Manifest b/media-gfx/shotwell/Manifest
index fa786cfcc58..82a48d4c1d5 100644
--- a/media-gfx/shotwell/Manifest
+++ b/media-gfx/shotwell/Manifest
@@ -1,3 +1,4 @@
DIST shotwell-0.23.1.tar.xz 1963512 SHA256 e24d33ff19f1902fa9595ef73288784f6332bfa99d40171efe60ab2ac68d358a SHA512 c47da700f28a8c14e6ea81069399d381b5a2eb33f6bd4c21763d42d25d9f0f6dcb2894a8b6ebf9967809fc828ea65b222be7002a4ff6f6a6165dbecdac66f96f WHIRLPOOL e99c29ed18cbcedcc5b975509d33cc4a7af0ab4e6f41e373c9f6c9fc1a3560e3eff7c383202dd78352f5a156d1d5a556275e2e3bac7f7c536c74375c04d65817
+DIST shotwell-0.23.2.tar.xz 2073932 SHA256 d52caae4e3204f2f78e2eb828d955848ea6fef5c91d3ac6e9eb0b185c0490b39 SHA512 769e7cb0c4b8fc4e7f03d258de9025763e4a8d019daad76f4520771cca5b94c8ceba7297446ad8979dda6acb853b56249d4e14c35e833395a087b34f08a467a1 WHIRLPOOL ab22212688821afd9fd683efd5da3a3dadc4ba02ef8f1b04083d4eca52414e1ae6ddad6e82c2ebec599d5402f44a4012c1443f61cd1896d3d5fb04f70372cabb
DIST shotwell-icons.tar.bz2 61397 SHA256 edab0b34992dab8e1d397c30a4dca2ef3dad601c6c75e9c1cc771040089762c2 SHA512 b06ce3bb34728253bc3a3643ff7adde38ed7939961d79e001ae445e71435efc8aaefa94e5a3306a10abb9821511d2421590db7488bf7a95c8e5d6d677ecc712c WHIRLPOOL 783c5d0f354791cc8a9ec47aadda2ab3fdc2c73add236306f641422d02ecd6ff36ee38a45d356cd805cd592358471e24f27b67e8e24694523cf4f6340d7ca8bb
DIST shotwell.1 1238 SHA256 7f4036f14a6c599835bd121d63705ddc766388aae8c6414eb3a405c85b9a5014 SHA512 8090d5d339a44992d2543ba9ed1bb6e0eb18da8d3fe6ad4f95f917d3aca352e6af0b8c21a7da3a8be9aa1cb04a13e8602d9db8484d4801547cfadc6c40500ad4 WHIRLPOOL cb3c1ef3cb6a577fa94d0aec4dfc06ee84a1f77771268e3217704fed269cd0cd3c220a4e68d270c152b34dc2e438e193d47aee87dd891a39fd8236a6d269eb3b
diff --git a/media-gfx/shotwell/shotwell-0.23.2.ebuild b/media-gfx/shotwell/shotwell-0.23.2.ebuild
new file mode 100644
index 00000000000..ab039811c32
--- /dev/null
+++ b/media-gfx/shotwell/shotwell-0.23.2.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+VALA_MIN_API_VERSION="0.28"
+
+inherit gnome2 multilib toolchain-funcs vala versionator
+
+MY_PV=$(get_version_component_range 1-2)
+DESCRIPTION="Open source photo manager for GNOME"
+HOMEPAGE="https://wiki.gnome.org/Apps/Shotwell"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE=""
+
+CORE_SUPPORTED_LANGUAGES="
+ af ar as ast bg bn bn_IN bs ca cs da de el en_GB eo es et eu fi fr gd gl gu
+ he hi hr hu ia id it ja kk km kn ko ky lt lv mk ml mr nb nl nn or pa pl pt
+ pt_BR ro ru sk sl sr sr@latin sv ta te th tr uk vi zh_CN zh_HK zh_TW"
+
+for x in ${CORE_SUPPORTED_LANGUAGES}; do
+ IUSE+="linguas_${x} "
+done
+
+RDEPEND="
+ app-text/gnome-doc-utils
+ >=dev-db/sqlite-3.5.9:3
+ >=dev-libs/glib-2.30.0:2
+ >=dev-libs/json-glib-0.7.6
+ >=dev-libs/libgee-0.8.5:0.8
+ >=dev-libs/libxml2-2.6.32:2
+ >=dev-util/desktop-file-utils-0.13
+ gnome-base/dconf
+ >=media-libs/gexiv2-0.4.90
+ media-libs/gst-plugins-base:1.0
+ media-libs/gst-plugins-good:1.0
+ media-libs/gstreamer:1.0
+ media-libs/lcms:2
+ >=media-libs/libexif-0.6.16:=
+ >=media-libs/libgphoto2-2.5:=
+ >=media-libs/libraw-0.13.2:=
+ >=net-libs/libsoup-2.26.0:2.4
+ >=net-libs/rest-0.7:0.7
+ net-libs/webkit-gtk:4
+ virtual/libgudev:=[introspection]
+ >=x11-libs/gtk+-3.12.2:3[X]
+"
+DEPEND="${RDEPEND}
+ $(vala_depend)
+ >=sys-devel/m4-1.4.13
+"
+
+# This probably comes from libraries that
+# shotwell-video-thumbnailer links to.
+# Nothing we can do at the moment. #435048
+QA_FLAGS_IGNORED="/usr/libexec/${PN}/${PN}-video-thumbnailer"
+
+src_prepare() {
+ local x
+ local linguas="en_GB ${LINGUAS}"
+
+ vala_src_prepare
+
+ sed \
+ -e 's|CFLAGS :|CFLAGS +|g' \
+ -i plugins/Makefile.plugin.mk || die
+
+ # remove disabled lenguages from build
+ for x in ${CORE_SUPPORTED_LANGUAGES}; do
+ if ! has ${x} ${linguas}; then
+ sed -i "/^${x}$/d" "${S}"/po/LINGUAS || die
+ fi
+ done
+
+ gnome2_src_prepare
+}
+
+src_configure() {
+ # Not a normal configure
+ ./configure \
+ --disable-schemas-compile \
+ --disable-desktop-update \
+ --disable-icon-update \
+ --prefix=/usr \
+ --lib=$(get_libdir) || die
+}
+
+src_compile() {
+ tc-export CC
+ local valaver="$(vala_best_api_version)"
+
+ # Parallel build fixed in next version
+ MAKEOPTS="${MAKEOPTS} -j1" gnome2_src_compile VALAC="$(type -p valac-${valaver})"
+}